#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	X Athena Widgets library
Summary(pl.UTF-8):	Biblioteka X Athena Widgets
Name:		xorg-lib-libXaw
Version:	1.0.16
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXaw-%{version}.tar.xz
# Source0-md5:	2a9793533224f92ddad256492265dd82
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRequires:	xz
Obsoletes:	libXaw < 7.0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Athena Widgets library. Athena Widget Set is baced on the X Toolkit
Intrinsics (Xt) library.

%description -l pl.UTF-8
Biblioteka X Athena Widgets. Zestaw widgetów Athena jest oparty na
bibliotece X Toolkit Intrinsics (Xt).

%package devel
Summary:	Header files for libXaw library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXaw
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXmu-devel
Requires:	xorg-lib-libXpm-devel
Requires:	xorg-lib-libXt-devel
Obsoletes:	libXaw-devel < 7.0.3

%description devel
X Athena Widgets library.

This package contains the header files needed to develop programs that
use libXaw.

%description devel -l pl.UTF-8
Biblioteka X Athena Widgets.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXaw.

%package static
Summary:	Static libXaw library
Summary(pl.UTF-8):	Biblioteka statyczna libXaw
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXaw-static < 7.0.3

%description static
X Athena Widgets library.

This package contains the static libXaw library.

%description static -l pl.UTF-8
Biblioteka X Athena Widgets.

Pakiet zawiera statyczną bibliotekę libXaw.

%prep
%setup -q -n libXaw-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	%{!?with_static_libs:--disable-static} \
	--without-fop
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXaw[67].so.[67]
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXaw[67].la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libXaw

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXaw6.so.6.*.*
%attr(755,root,root) %ghost %{_libdir}/libXaw.so.6
%attr(755,root,root) %{_libdir}/libXaw7.so.7.*.*
%attr(755,root,root) %ghost %{_libdir}/libXaw.so.7

%files devel
%defattr(644,root,root,755)
%doc specs/libXaw.html
%attr(755,root,root) %{_libdir}/libXaw6.so
%attr(755,root,root) %{_libdir}/libXaw7.so
%attr(755,root,root) %{_libdir}/libXaw.so
%dir %{_includedir}/X11/Xaw
%{_includedir}/X11/Xaw/*.h
%{_includedir}/X11/Xaw/Template.c
%{_pkgconfigdir}/xaw6.pc
%{_pkgconfigdir}/xaw7.pc
%{_mandir}/man3/Xaw.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libXaw6.a
%{_libdir}/libXaw7.a
%endif
%changelog
* Mon Mar 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXaw.git;a=log;h=master

* Mon Mar 11 2024 Jakub Bogusz <qboosh@pld-linux.org> f296a91
- updated to 1.0.16

* Sat Mar 18 2023 Jakub Bogusz <qboosh@pld-linux.org> aebc95d
- updated to 1.0.15

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> d1f060e
- rebuild with separate debuginfo build-ids

* Tue Mar 30 2021 Jakub Bogusz <qboosh@pld-linux.org> bbfaded
- updated to 1.0.14
- versioned Obsoletes

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> def0e82
- updated to 1.0.13
- removed obsolete format-security patch
- disable use of fop to generate (unpackaged) pdf file

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0c102e5
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> c3c0dd6
- fixed build without xman suffix

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> cc9cd8c
- updated to 1.0.12

* Thu Dec 13 2012 Jan Rękorajski <baggins@pld-linux.org> b1ac087
- fix format string warning
- rel 2

* Sat Jun 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 07a859a
- up to 1.0.11

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 02f98e1
- updated to 1.0.10

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 7a523ce
- removed unused *.la files

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 89ee564
- BR: docbook-dtd43-xml
- dropped unused BR: groff

* Wed Jan 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 30b5280
- up to 1.0.9

* Tue Oct 26 2010 Jakub Bogusz <qboosh@pld-linux.org> d6afdb6
- updated to 1.0.8

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 569c1f3
- rebuild
- rel 3

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> a319e00
- package devel docs
- updated util-macros version
- ed no longer used
- release 2

* Mon Oct 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f0562e3
- up to 1.0.7

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 1c22ba9
- util-macros version
- longer descs

* Fri Jul 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> acff75f
- up to 1.0.6

